import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: BillTypes.SearchBillParam) {
    return get<G.PageResult<BillTypes.SearchBillResult>>('/bill/paging', data)
  },
  detail(id: string) {
    return get<BillTypes.SearchBillResult>('/bill/detail', {id})
  },
  add(data: BillTypes.AddBillParam) {
    return post('/bill/add', data)
  },
  modify(data: BillTypes.ModifyBillParam) {
    return post('/bill/modify', data)
  },
  del(ids: string[]) {
    return post('/bill/del', ids)
  },
}
